LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XProgressMonitor Interface Referencepublished

gives access to the text of a progress monitor. More...

`import"XProgressMonitor.idl";`

Inheritance diagram for XProgressMonitor:

## Public Member Functions
void | addText ([in] string Topic, [in] string Text, [in] boolean beforeProgress)
| adds a new text line to the control. More...
void | removeText ([in] string Topic, [in] boolean beforeProgress)
| removes a text line from the control. More...
void | updateText ([in] string Topic, [in] string Text, [in] boolean beforeProgress)
| updates an existing text line at the control. More...
Public Member Functions inherited from XProgressBar
void | setForegroundColor ([in] com::sun::star::util::Color Color)
| sets the foreground color (RGB) of the control. More...
void | setBackgroundColor ([in] com::sun::star::util::Color Color)
| sets the background color (RGB) of the control. More...
void | setRange ([in] long Min, [in] long Max)
| sets the minimum and the maximum progress value of the progress bar. More...
void | setValue ([in] long Value)
| sets the progress value of the progress bar. More...
long | getValue ()
| returns the current progress value of the progress bar. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the text of a progress monitor.

Deprecated:

## Member Function Documentation

## ◆ addText()

void addText | ( | [in] string | Topic,
|  | [in] string | Text,
|  | [in] boolean | beforeProgress
| ) |  |

adds a new text line to the control.

## ◆ removeText()

void removeText | ( | [in] string | Topic,
|  | [in] boolean | beforeProgress
| ) |  |

removes a text line from the control.

## ◆ updateText()

void updateText | ( | [in] string | Topic,
|  | [in] string | Text,
|  | [in] boolean | beforeProgress
| ) |  |

updates an existing text line at the control.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XProgressMonitor.idl